GET Person/{id}/Summary
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
GET /api/v1/Person/{personId}/Summary
Get summary of person and recent activity.
| Path Part | Type | Description |
|---|---|---|
| personId | int32 | The person id to summarize. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| limit | int32 | Max number of items to include in summary lists. |
GET /api/v1/Person/{personId}/Summary?limit=306
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: PersonSummary
| Property Name | Type | Description |
|---|---|---|
| Person | Person | Simple Person data. |
| Tickets | array | Recent tickets on person |
| Followups | array | Recent follow-ups on person |
| Documents | array | Recent documents on person |
| Sales | array | Recent sales on person |
| Chats | array | Recent chats with person |
Sample request
GET /api/v1/Person/{personId}/Summary
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Person": null,
"Tickets": [
{
"TicketId": 387,
"TicketStatus": 254,
"Title": "Sales Manager",
"Registered": "2014-06-15T14:34:02.1426809+02:00",
"IconHint": "sit"
},
{
"TicketId": 387,
"TicketStatus": 254,
"Title": "Sales Manager",
"Registered": "2014-06-15T14:34:02.1426809+02:00",
"IconHint": "sit"
}
],
"Followups": [
{
"AppointmentId": 868,
"DocumentId": 813,
"Date": "2018-10-17T14:34:02.1426809+02:00",
"Description": "Progressive zero administration workforce",
"Completed": "Completed",
"Registered": "2002-09-25T14:34:02.1426809+02:00"
},
{
"AppointmentId": 868,
"DocumentId": 813,
"Date": "2018-10-17T14:34:02.1426809+02:00",
"Description": "Progressive zero administration workforce",
"Completed": "Completed",
"Registered": "2002-09-25T14:34:02.1426809+02:00"
}
],
"Documents": [
{
"AppointmentId": 888,
"DocumentId": 923,
"Date": "2024-03-07T14:34:02.1426809+01:00",
"Description": "Primary contact",
"Completed": "Completed",
"Registered": "2004-06-20T14:34:02.1426809+02:00"
},
{
"AppointmentId": 888,
"DocumentId": 923,
"Date": "2024-03-07T14:34:02.1426809+01:00",
"Description": "Primary contact",
"Completed": "Completed",
"Registered": "2004-06-20T14:34:02.1426809+02:00"
}
],
"Sales": [
{
"SaleId": 947,
"SaleDate": "2016-01-15T14:34:02.1426809+01:00",
"Probability": 834,
"Heading": "iure",
"Amount": 7042.098,
"Currency": "ea",
"AmountInBaseCurrency": 26864.647999999997,
"Status": "Lost",
"Completed": "Completed",
"Registered": "2000-02-29T14:34:02.1426809+01:00"
}
],
"Chats": [
{
"ChatSessionId": 100,
"Name": "Wolff, Gusikowski and Mayert",
"CompanyName": "Auer, Orn and Parker",
"FirstMessage": "iste",
"LastMessage": "id",
"WhenRequested": "2021-10-07T14:34:02.1426809+02:00",
"WhenEnded": "2010-01-07T14:34:02.1426809+01:00"
}
]
}